Bug 1417571 - 'Remote data sync setup' should throw helpful message, if there are no gluster geo-rep is setup for the volume
Summary: 'Remote data sync setup' should throw helpful message, if there are no gluste...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-30 10:14 UTC by SATHEESARAN
Modified: 2017-04-21 09:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:45:07 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
screenshot showing the 'Remote Data Sync Setup' tab (46.89 KB, image/png)
2017-01-30 10:19 UTC, SATHEESARAN
no flags Details
Remote Data Sync Setup dialog (16.29 KB, image/png)
2017-01-30 10:19 UTC, SATHEESARAN
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72292 master MERGED webadmin: Show error on DR setup if no georep 2017-02-21 07:12:27 UTC
oVirt gerrit 72735 ovirt-engine-4.1 MERGED webadmin: Show error on DR setup if no georep 2017-02-21 17:04:44 UTC

Description SATHEESARAN 2017-01-30 10:14:41 UTC
Description of problem:
-----------------------
New data domain is created by using the gluster volume managed in the cluster.
The gluster volume doesn't had geo-replication setup. When clicking on the sub-tab, "Remote Data Sync Setup" after selecting the storage domain, there is no helpful message to explain that there are no geo-rep setup available.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
oVirt Engine Version: 4.1.0.3-0.0

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a cluster with virt + gluster capability enabled
2. Add 3 nodes and create a replica 3 volume, optimize for virt store
3. Now create a new gluster data domain and select 'use managed gluster volume' which will the list the gluster volumes managed in that cluster
4. Choose a gluster volume from the dropdown list
5. Complete creation of data domain
6. Select the gluster storage domain and select the sub tab 'Remote Data Sync Setup'

Actual results:
---------------
There is no useful message to explain the user that there is no geo-rep setup exists on the volume

Expected results:
-----------------
If there are no geo-replication sessions created, instead of the drop down, an alert should be shown that geo-replication session needs to be setup.
A link should be provided for user to navigate to Create Geo-replication Session.

Also there should be hint that if the geo-replication remote volume is not managed in that cluster, then hint the user to create geo-rep session from command line interface

Comment 1 SATHEESARAN 2017-01-30 10:19:18 UTC
Created attachment 1245816 [details]
screenshot showing the 'Remote Data Sync Setup' tab

Comment 2 SATHEESARAN 2017-01-30 10:19:58 UTC
Created attachment 1245817 [details]
Remote Data Sync Setup dialog

Comment 3 SATHEESARAN 2017-03-28 11:54:58 UTC
Tested with RHV 4.1.1-6 and useful error messages is shown, when the associated glusterfs storage domain doesn't have the geo-replication session

Error message is thrown as follows :

<snip>
There are no geo-replication sessions configured for this gluster volume. Before setting up the remote data synchronization schedule for storage domain, please create a geo-replication session for gluster volume associated with this storage domain.
</snip>


Note You need to log in before you can comment on or make changes to this bug.